## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate openssl-kdf

Name:           rust-openssl-kdf
Version:        0.4.1
Release:        %autorelease
Summary:        OpenSSL KDF function abstraction

License:        MIT
URL:            https://crates.io/crates/openssl-kdf
Source:         %{crates_source}
# https://github.com/puiterwijk/rust-openssl-kdf/pull/16
Patch:          0001-Fix-typo-in-build.rs-to-fix-builds-with-Rust-1.73.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
OpenSSL KDF function abstraction.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allow_custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allow_custom-devel %{_description}

This package contains library source intended for building other packages which
use the "allow_custom" feature of the "%{crate}" crate.

%files       -n %{name}+allow_custom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deny_custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deny_custom-devel %{_description}

This package contains library source intended for building other packages which
use the "deny_custom" feature of the "%{crate}" crate.

%files       -n %{name}+deny_custom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+force_custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+force_custom-devel %{_description}

This package contains library source intended for building other packages which
use the "force_custom" feature of the "%{crate}" crate.

%files       -n %{name}+force_custom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+warn_custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+warn_custom-devel %{_description}

This package contains library source intended for building other packages which
use the "warn_custom" feature of the "%{crate}" crate.

%files       -n %{name}+warn_custom-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Oct 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-6
- Fix typo in build.rs to fix builds with Rust 1.73+

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 03 2022 Peter Robinson <pbrobinson@gmail.com> - 0.4.1-1
- initial import
